%define debug_package %{nil}
%define realname eradius


Name:		erlang-%{realname}
Version:	0
Release:	0.6.20070627cvs%{?dist}
Summary:	RADIUS authentication/accounting for erlang apps
Group:		Development/Languages
License:	MIT
URL:		http://jungerl.sourceforge.net/
# cvs -z3 -d:pserver:anonymous@jungerl.cvs.sourceforge.net:/cvsroot/jungerl export -d eradius -D "2007-06-27" jungerl/lib/eradius
# tar cjf eradius.tar.bz2 eradius
Source0:	eradius.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang
Requires:	erlang-erts
Requires:	erlang-kernel
Requires:	erlang-mnesia
Requires:	erlang-stdlib


%description
RADIUS authentication/accounting for erlang apps.


%prep
%setup -q -n %{realname}
mv src/eradius_server_example.erl test/
chmod 644 MIT_LICENSE
chmod 644 src/eradius_server.erl


%build
erlc -o ebin -I./include src/eradius_dict.erl
cd priv && make && cd -
erlc -o ebin -I./include src/eradius.erl
erlc -o ebin -I./include src/eradius_acc.erl
erlc -o ebin -I./include src/eradius_lib.erl
erlc -o ebin -I./include src/eradius_server.erl


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv,src}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv/dictionaries
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -p -m 644 src/eradius.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -p -m 644 src/eradius_lib.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 644 priv/dictionary*.map $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc MIT_LICENSE test/*.erl
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/dictionary*.map


%changelog
* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> 0-0.6.20070627cvs
- Narrow list of runtime requirements
- Rebuild for new Erlang/OTP R14A

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20070627cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.4.20070627cvs
- Changed naming scheme

* Mon Jul  6 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.3.cvs20070627
- Proper versioning scheme
- Added two missing header-files
- Fixed permissions for MIT_LICENSE and eradius_server.erl

* Tue Apr 21 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.2
- Get rid of unnecessary source files

* Wed Mar 25 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.1
- initial build

